vector File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_erase_if
#define | _GLIBCXX_EXPERIMENTAL_VECTOR

## Typedefs

template<typename _Tp >
using | std::experimental::fundamentals_v2::pmr::vector = std::vector< _Tp, polymorphic_allocator< _Tp > >

## Functions

template<typename _Tp , typename _Alloc , typename _Up >
void | std::experimental::erase (vector< _Tp, _Alloc > &__cont, const _Up &__value)
template<typename _Tp , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (vector< _Tp, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/vector.

## Macro Definition Documentation

## __cpp_lib_experimental_erase_if

#define __cpp_lib_experimental_erase_if

Definition at line 48 of file experimental/vector.

## _GLIBCXX_EXPERIMENTAL_VECTOR

#define _GLIBCXX_EXPERIMENTAL_VECTOR

Definition at line 30 of file experimental/vector.

## Typedef Documentation

## vector

template<typename _Tp >

using std::experimental::fundamentals_v2::pmr::vector = typedef std::vector<_Tp, polymorphic_allocator<_Tp> >

Definition at line 68 of file experimental/vector.

## Function Documentation

## erase()

template<typename _Tp , typename _Alloc , typename _Up >

void std::experimental::fundamentals_v2::erase | ( | vector< _Tp, _Alloc > & | __cont,
|  | const _Up & | __value
| ) |  |

inline

Definition at line 60 of file experimental/vector.

## erase_if()

template<typename _Tp , typename _Alloc , typename _Predicate >

void std::experimental::fundamentals_v2::erase_if | ( | vector< _Tp, _Alloc > & | __cont,
|  | _Predicate | __pred
| ) |  |

inline

Definition at line 52 of file experimental/vector.